/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package FacilityMgmt.FacilityMaintenance;

import java.util.Date;
import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class FacilityInspection {
    public void makeFacilityInspection() {
    }

    public int mi_calcProblemRate() {
        return 0;
    }

    public Vector mi_assessInspectionToMaintenance() {
        return new Vector();
    }

    public static Vector listFacilityInspections() {
        return new Vector();
    }

    private Date dueDate;
    private Date actualDate;

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private FacilityProblem lnkUnnamed;
}


